$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.30-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.30-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '3D4D1AB25B43784211534BE0508FB2C67DB4B12C580FC8753468F5F1E4BA7622'
  checksumType = 'sha256'
  checksum64 = '3D4D1AB25B43784211534BE0508FB2C67DB4B12C580FC8753468F5F1E4BA7622'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.29.30-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
